UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Visitor xiaodark
Visitor
433 Views
Registered: ‎09-16-2019

Vivado installation failure

Jump to solution

Hello,

I am trying to install Vivado 2019 on Deepin(one kind of Ubuntu) pro 64 bits but when I run xsetup I have an error loading installation data.
The xinstall log file :

 

2019-09-26 11:55:51,844 INFO : com.xilinx.installer.api.e:? - Log file location - /root/.Xilinx/xinstall/xinstall_1569470129936.log
2019-09-26 11:55:51,867 DEBUG: com.xilinx.installer.api.e:? - Memory usage -- Used memory: 4482 MB. Total memory: 7875 MB
Recent cpu usage for system: 23%
2019-09-26 11:55:51,874 WARN : com.xilinx.installer.utils.o:? - Could not load native code
java.lang.UnsatisfiedLinkError: /media/laji/F28696C5869689AD/vivado/vivado2019/Xilinx_SDx_2019.1_0524_1430/lib/lnx64.o/librdi_install.so: /media/laji/F28696C5869689AD/vivado/vivado2019/Xilinx_SDx_2019.1_0524_1430/lib/lnx64.o/Default/libstdc++.so.6: 文件过短
at java.base/java.lang.ClassLoader$NativeLibrary.load(Native Method)
at java.base/java.lang.ClassLoader.loadLibrary0(Unknown Source)
at java.base/java.lang.ClassLoader.loadLibrary(Unknown Source)
at java.base/java.lang.Runtime.loadLibrary0(Unknown Source)
at java.base/java.lang.System.loadLibrary(Unknown Source)
at com.xilinx.installer.utils.o.d(Unknown Source)
at com.xilinx.installer.utils.o.a(Unknown Source)
at com.xilinx.installer.api.e.<init>(Unknown Source)
at com.xilinx.installer.api.d.<init>(Unknown Source)
at com.xilinx.installer.api.a.a(Unknown Source)
at com.xilinx.installer.gui.InstallerGUI.<init>(Unknown Source)
at com.xilinx.installer.gui.InstallerGUI.<clinit>(Unknown Source)
at com.xilinx.installer.api.InstallerLauncher.main(Unknown Source)
2019-09-26 11:55:51,878 FATAL: com.xilinx.installer.api.e:? - Could load native code!
com.xilinx.installer.utils.o$a: Unable to load native libs.
at com.xilinx.installer.utils.o.a(Unknown Source)
at com.xilinx.installer.api.e.<init>(Unknown Source)
at com.xilinx.installer.api.d.<init>(Unknown Source)
at com.xilinx.installer.api.a.a(Unknown Source)
at com.xilinx.installer.gui.InstallerGUI.<init>(Unknown Source)
at com.xilinx.installer.gui.InstallerGUI.<clinit>(Unknown Source)
at com.xilinx.installer.api.InstallerLauncher.main(Unknown Source)
2019-09-26 11:55:51,880 ERROR: com.xilinx.installer.gui.InstallerGUI:? - Error instantiating InstallerAPI!.
com.xilinx.installer.utils.k: Error loading native libs
at com.xilinx.installer.api.e.<init>(Unknown Source)
at com.xilinx.installer.api.d.<init>(Unknown Source)
at com.xilinx.installer.api.a.a(Unknown Source)
at com.xilinx.installer.gui.InstallerGUI.<init>(Unknown Source)
at com.xilinx.installer.gui.InstallerGUI.<clinit>(Unknown Source)
at com.xilinx.installer.api.InstallerLauncher.main(Unknown Source)
Caused by: com.xilinx.installer.utils.o$a: Unable to load native libs.
at com.xilinx.installer.utils.o.a(Unknown Source)
... 6 more

 

Would anyone be able to point me in the right direction to solve this problem.

Thanks,
XiaoDark

 

 

0 Kudos
1 Solution

Accepted Solutions
Xilinx Employee
Xilinx Employee
400 Views
Registered: ‎05-14-2008

Re: Vivado installation failure

Jump to solution

Looks like unsupported Operating System.

The supported Ubuntu of 2019.1 is Ubuntu Linux 16.04.5, 18.04.1 LTS (64-bit)

-vivian

-------------------------------------------------------------------------------------------------
Don’t forget to reply, kudo, and accept as solution.
-------------------------------------------------------------------------------------------------
如果提供的信息能解决您的问题,请标记为“接受为解决方案”。
如果您认为帖子有帮助,请点击“奖励”。谢谢!
-------------------------------------------------------------------------------------------------

View solution in original post

2 Replies
Xilinx Employee
Xilinx Employee
401 Views
Registered: ‎05-14-2008

Re: Vivado installation failure

Jump to solution

Looks like unsupported Operating System.

The supported Ubuntu of 2019.1 is Ubuntu Linux 16.04.5, 18.04.1 LTS (64-bit)

-vivian

-------------------------------------------------------------------------------------------------
Don’t forget to reply, kudo, and accept as solution.
-------------------------------------------------------------------------------------------------
如果提供的信息能解决您的问题,请标记为“接受为解决方案”。
如果您认为帖子有帮助,请点击“奖励”。谢谢!
-------------------------------------------------------------------------------------------------

View solution in original post

Highlighted
Visitor xiaodark
Visitor
368 Views
Registered: ‎09-16-2019

Re: Vivado installation failure

Jump to solution
Thank you. I will try again in the new system.
0 Kudos